Skip to content
PATCH /unified/hris/benefits/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

company_contributionstring

This represents the company contribution

1 supported
Gusto
supported
employee_contributionstring

This represents the employee contribution

1 supported
Gusto
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

This represents the status of the benefit

1 supported
Gusto
supported

Response Body

idstring
required·

The unique identifier for benefits

1 supported
Gusto
supported
company_benefitobject
1 supported
Gusto
supported
descriptionstring

This represents the description of the company benefit

idstring

The unique identifier for company benefits

namestring

This represents the name of the company benefit

company_contributionstring

This represents the company contribution

1 supported
Gusto
supported
created_atstring · date-time

This represents the date when the benefits was created

currencystring

This represents the currency in which the contribution is made

employeeobject

Employee associated with this benefit

References: Employees → id
1 supported
Gusto
supported
idstring

The unique identifier for employees

namestring

This represents the name of the employee

employee_contributionstring

This represents the employee contribution

1 supported
Gusto
supported
end_datestring · date-time

This represents the end date of the benefit

namestring

The name of the benefit

provider_namestring

This represents the provider name

remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_datestring · date-time

This represents the start date of the benefit

statusstring

This represents the status of the benefit

1 supported
Gusto
supported
updated_atstring · date-time

This represents the date when the benefits was updated

curl -X PATCH 'https://api.truto.one/unified/hris/benefits/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "your_status",
  "employee_contribution": "your_employee_contribution",
  "company_contribution": "your_company_contribution",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "status": "your_status",
  "employee_contribution": "your_employee_contribution",
  "company_contribution": "your_company_contribution",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/hris/benefits/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/benefits/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "status": "your_status",
    "employee_contribution": "your_employee_contribution",
    "company_contribution": "your_company_contribution",
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'hris',
  'benefits',
  '<resource_id>',
  {
  "status": "your_status",
  "employee_contribution": "your_employee_contribution",
  "company_contribution": "your_company_contribution",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "hris",
        "benefits",
        "<resource_id>",
        {
        "status": "your_status",
        "employee_contribution": "your_employee_contribution",
        "company_contribution": "your_company_contribution",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())